Create a retry request
POST
/v1/tenants/current/deletion-requests/{jobId}/retry-requestscurl -X POST 'https://api.embodiflow.io/v1/tenants/current/deletion-requests/{jobId}/retry-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- jobIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- offboardingRequestIdstring必填
- statusstring必填可选值queuedsucceededfailedcancelledpauseddrainingdeleting
- triggeredBystring必填
- triggeredAtstring必填
- claimedAtstring | null必填
- drainingStartedAtstring | null必填
- deletingStartedAtstring | null必填
- completedAtstring | null必填
- failedAtstring | null必填
- retryCountnumber必填
- lastErrorstring | null必填
- objectsDeletedCountnumber必填
- firstDestructiveBatchAtstring | null
- pausedAtstring | null
- pauseReasonstring | null
- holdStopReasonstring | null
- createdAtstring必填
- updatedAtstring必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"offboardingRequestId": "string",
"status": "queued",
"triggeredBy": "string",
"triggeredAt": "string",
"claimedAt": "string",
"drainingStartedAt": "string",
"deletingStartedAt": "string",
"completedAt": "string",
"failedAt": "string",
"retryCount": 0,
"lastError": "string",
"objectsDeletedCount": 0,
"firstDestructiveBatchAt": "string",
"pausedAt": "string",
"pauseReason": "string",
"holdStopReason": "string",
"createdAt": "string",
"updatedAt": "string"
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1